# Generated by Django 2.0.7 on 2018-08-07 17:48

import django.contrib.postgres.fields.jsonb
import django.core.serializers.json
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import uuid


class Migration(migrations.Migration):

    dependencies = [("federation", "0006_auto_20180521_1702")]

    operations = [
        migrations.CreateModel(
            name="Activity",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("uuid", models.UUIDField(default=uuid.uuid4, unique=True)),
                (
                    "fid",
                    models.URLField(blank=True, max_length=500, null=True, unique=True),
                ),
                ("url", models.URLField(blank=True, max_length=500, null=True)),
                (
                    "payload",
                    django.contrib.postgres.fields.jsonb.JSONField(
                        default={},
                        encoder=django.core.serializers.json.DjangoJSONEncoder,
                        max_length=50000,
                    ),
                ),
                (
                    "creation_date",
                    models.DateTimeField(default=django.utils.timezone.now),
                ),
                ("delivered", models.NullBooleanField(default=None)),
                ("delivered_date", models.DateTimeField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="LibraryFollow",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "fid",
                    models.URLField(blank=True, max_length=500, null=True, unique=True),
                ),
                ("uuid", models.UUIDField(default=uuid.uuid4, unique=True)),
                (
                    "creation_date",
                    models.DateTimeField(default=django.utils.timezone.now),
                ),
                ("modification_date", models.DateTimeField(auto_now=True)),
                ("approved", models.NullBooleanField(default=None)),
            ],
        ),
        migrations.RenameField("actor", "url", "fid"),
        migrations.AddField(
            model_name="actor",
            name="url",
            field=models.URLField(blank=True, max_length=500, null=True),
        ),
        migrations.AddField(
            model_name="follow",
            name="fid",
            field=models.URLField(blank=True, max_length=500, null=True, unique=True),
        ),
        migrations.AddField(
            model_name="libraryfollow",
            name="actor",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="library_follows",
                to="federation.Actor",
            ),
        ),
    ]
