# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import django.utils.timezone
import django.contrib.auth.models
import django.core.validators


class Migration(migrations.Migration):

    dependencies = [("auth", "0006_require_contenttypes_0002")]

    operations = [
        migrations.CreateModel(
            name="User",
            fields=[
                (
                    "id",
                    models.AutoField(
                        primary_key=True,
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                    ),
                ),
                ("password", models.CharField(max_length=128, verbose_name="password")),
                (
                    "last_login",
                    models.DateTimeField(
                        null=True, verbose_name="last login", blank=True
                    ),
                ),
                (
                    "is_superuser",
                    models.BooleanField(
                        help_text="Designates that this user has all permissions without explicitly assigning them.",
                        verbose_name="superuser status",
                        default=False,
                    ),
                ),
                (
                    "username",
                    models.CharField(
                        max_length=30,
                        validators=[
                            django.core.validators.RegexValidator(
                                "^[\\w.@+-]+$",
                                "Enter a valid username. This value may contain only letters, numbers and @/./+/-/_ characters.",
                                "invalid",
                            )
                        ],
                        verbose_name="username",
                        error_messages={
                            "unique": "A user with that username already exists."
                        },
                        help_text="Required. 30 characters or fewer. Letters, digits and @/./+/-/_ only.",
                        unique=True,
                    ),
                ),
                (
                    "first_name",
                    models.CharField(
                        max_length=30, verbose_name="first name", blank=True
                    ),
                ),
                (
                    "last_name",
                    models.CharField(
                        max_length=30, verbose_name="last name", blank=True
                    ),
                ),
                (
                    "email",
                    models.EmailField(
                        max_length=254, verbose_name="email address", blank=True
                    ),
                ),
                (
                    "is_staff",
                    models.BooleanField(
                        help_text="Designates whether the user can log into this admin site.",
                        verbose_name="staff status",
                        default=False,
                    ),
                ),
                (
                    "is_active",
                    models.BooleanField(
                        help_text="Designates whether this user should be treated as active. Unselect this instead of deleting accounts.",
                        verbose_name="active",
                        default=True,
                    ),
                ),
                (
                    "date_joined",
                    models.DateTimeField(
                        verbose_name="date joined", default=django.utils.timezone.now
                    ),
                ),
                (
                    "groups",
                    models.ManyToManyField(
                        related_name="user_set",
                        blank=True,
                        verbose_name="groups",
                        to="auth.Group",
                        help_text="The groups this user belongs to. A user will get all permissions granted to each of their groups.",
                        related_query_name="user",
                    ),
                ),
                (
                    "user_permissions",
                    models.ManyToManyField(
                        related_name="user_set",
                        blank=True,
                        verbose_name="user permissions",
                        to="auth.Permission",
                        help_text="Specific permissions for this user.",
                        related_query_name="user",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        max_length=255, verbose_name="Name of User", blank=True
                    ),
                ),
            ],
            options={
                "verbose_name": "user",
                "abstract": False,
                "verbose_name_plural": "users",
            },
            managers=[("objects", django.contrib.auth.models.UserManager())],
        )
    ]
